using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Newtonsoft.Json;

namespace FMSAdmin.Entities {
    public partial class FmsMaterialCodeType {
        public FmsMaterialCodeType() {
            FmsMaterial = new HashSet<FmsMaterial>();
        }

        [Key]
        public int MaterialTypeId { get; set; }
        [Required]
        [StringLength(24)]
        public string Name { get; set; }
        [Required]
        [StringLength(24)]
        public string Nickname { get; set; }
        public bool IsUse { get; set; }

        [JsonIgnore]
        [InverseProperty("FmsMaterialCodeType")]
        public virtual ICollection<FmsMaterial> FmsMaterial { get; set; }
    }
}
